[ic] Updating the ICS.pm Cybersource module for use with their simple API

jeff at hisgirlfridays.com jeff at hisgirlfridays.com
Thu Jul 7 19:29:57 EDT 2005

On Thu, Jul 07, 2005 at 04:06:31PM -0700, Louie Martinez wrote:

> >From what I understand the current ICS.pm uses Cybersource's older
> >SDK and from my testing of it, it
> does Credit Card Authorization and Settlement ok, but doesn't utilize any of cybersource's advance
> fraud screening services like verification of billing and ship to addresses.

I am pretty sure that the CDK has the same functionality as the Simple
API.  I believe that the only real difference is that the Perl CDK calls
into the Cybersource C library to communicate with Cybersource whereas
the Simple API just uses a SOAP call.  Another thing that makes me
believe this is that the C API is still the CDK.  I was going to write
an IC module for the Simple API but I couldn't get the Simple API to
install because there were, on my debian system, some undocumented
depedencies that were not easily determined.

I think that the Interchange ICS.pm just doesn't use any of the advanced
fraud screening calls (although you can easily make it return AVS, as a


More information about the interchange-users mailing list